/********************************************************************
 * Copyright © 2004 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.esr.common.validator.ee;

// Java Classes

// Library Classes

// Framework Classes
import gov.va.med.fw.util.builder.ValidatorException;

// Common Classes
import gov.va.med.esr.common.model.ee.ConflictExperience;
import gov.va.med.esr.common.validator.AbstractDQValidator;

/**
 * @author Martin Francisco
 */
public class ConflictExperienceDQValidator
    extends AbstractDQValidator
{
    private static final long serialVersionUID = -6867012769645448588L;

    public ConflictExperienceDQValidator()
    {
        super();
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.fw.util.builder.AbstractValidator#processValidate(java.lang.Object)
     */
    protected void processValidate(Object input) throws ValidatorException
    {
        this.validateMinimumDataProvided((ConflictExperience)input);
        this.validateDates((ConflictExperience)input);
    }

    private void validateMinimumDataProvided(ConflictExperience input)
        throws ValidatorException
    {
    }

    private void validateDates(ConflictExperience input)
        throws ValidatorException
    {
        // Start and end dates are now always precise so they are always valid.
/*
        if((input.getEndDate() != null) && !input.getEndDate().isMonthPrecise())
        {
            throw new ValidatorException(
                "Conflict Experience end date must have a precise month");
        }
        else if((input.getStartDate() != null)
            && !input.getStartDate().isMonthPrecise())
        {
            throw new ValidatorException(
                "Conflict Experience start date must have a precise month");
        }
*/
    }
}